Subject: Re: bug#59717: ‘guix’ package fails to build on armhf-linux (OOM)
From: Ludovic Courtès <[email-masked]>
To: "pelzflorian (Florian Pelz)" <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Dec 2022 09:28:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

"pelzflorian (Florian Pelz)" <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>> [ 76%] GUILEC   gnu/packages/uucp.go
>> [ 76%] GUILEC   gnu/packages/valgrind.go
>> [ 76%] GUILEC   gnu/packages/version-control.go
>> [ 76%] GUILEC   gnu/packages/video.go
>> GC Warning: Failed to expand heap by 67125248 bytes
>> GC Warning: Failed to expand heap by 67108864 bytes
>> GC Warning: Out of Memory! Heap size: 3440 MiB. Returning NULL!
>
> Happens for me too, unless I do --cores=1.

Interesting.

I worked around it with commit 1aa7ee52c6c520c2dbbdb06f1381466e9fd96294
on ‘version-1.4.0’.

Next I’d like to do some heap profiling to address the problem at its
root; it qualifies as a memory leak.

Thanks,
Ludo’.